您的位置:小众博客 > 域名主机 > 正文

阿里云ECS基于WDCP面板一键升级PHP5.3.17、PHP5.5.9、PHP5.6.12脚本

2015年08月17日 / 域名主机 / 3357人阅读(点这评论)

毕竟在国产面板中可选择的免费VPS主机面板还是比较少的,其中WDCP面板的使用用户还是比较多,即便传言和之前也有的漏洞还是造成一定的影响,但是如果我们能够在面板安装完毕之后,及时的采用一些基础的安全措施,比如修改面板的登录默认端口、删除默认环境根目录的文件、及时更新和升级最新的官方漏洞补丁等。

阿里云ECS

虽然WDCP面板在国内的时间也比较久了,但是目前对于版本和环境中官方已经不在维护(除了漏洞补丁),我们默认安装的面板环境PHP版本只有5.2,但是我们很多程序,以及前一段时间暴露出来的PHP漏洞问题,需要我们给PHP版本进行升级,而且官方也有提供一定的升级方法。

但是,如果我们有在使用阿里云ECS服务器的时候,会发现与其他普通常用的VPS主机不同,包括直接官方源安装WDCP面板或者在线升级PHP的时候,因为官方提供的源在海外其他服务器,连通阿里云ECS会存在不畅通的问题(修改DNS也无效),导致很多时候无法安装。这里,这台阿里云ECS中,同时把PHP升级脚本的数据源版本迁移到我的本地,至少我可以保证下面我的测试时候,在我的这台机器上是可以完成升级的。

第一、阿里云ECS升级PHP5.3.17

wget http://soft.laozuo.org/wdcp/php_up53.sh
sh php_up53.sh

第二、阿里云ECS升级PHP5.5.9

wget http://soft.laozuo.org/wdcp/php_up55.sh
sh php_up55.sh

第三、阿里云ECS升级PHP5.6.12

wget http://soft.laozuo.org/wdcp/php_up569.sh
sh php_up569.sh

我们可以根据自己项目的需要,选择对应PHP版本的安装。如果没有特别的限制,我们可以升级到当前较为普遍的稳定版PHP5.6.12(之前还用过5.6.9),整个升级PHP过程编译还是比较长时间的,我们等待就可以。

阿里云PHP版本

PS:解决512MB内存出现"make: *** [ext/fileinfo/libmagic/apprentice.lo] Error 1"错误的问题,已经在上述的文件包中添加过" --disable-fileinfo"编译脚本,所以在512MB内存上也是没有问题的。

老左博客

标签:阿里云 云主机 

ABOUT
七牛云存储 衡天主机
一灯学堂,专注互联网前端培训 特卖
最新文章
月度热门
  • 李彦宏老婆马东敏重返百度:让百度走向伟大
  • 年轻人:或死于创业 或死于创业公司
  • 百度回应李彦宏被“限制出境”
  • 热门话题